KDE 4.2 PyKDE API Reference

- KDE's Python API

# KToggleToolBarAction Class Reference

`from PyKDE4.kdeui import *`

Inherits: KToggleAction → KAction → QWidgetAction → QAction → QObject

## Detailed Description

An action that takes care of everything associated with showing or hiding a toolbar by a menu action. It will show or hide the toolbar with the given name when activated, and check or uncheck itself if the toolbar is manually shown or hidden.

If you need to perfom some additional action when the toolbar is shown or hidden, connect to the toggled(bool) signal. It will be emitted after the toolbar's visibility has changed, whenever it changes.

## Methods

| __init__ (self, QString toolBarName, QString text, QObject parent)
| __init__ (self, KToolBar toolBar, QString text, QObject parent)
bool | eventFilter (self, QObject watched, QEvent event)
KToolBar | toolBar (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | toolBarName,
|  | QString | text,
|  | QObject | parent
| ) |  |  |

Create a KToggleToolbarAction that manages the toolbar named toolBarName. This can be either the name of a toolbar in an xml ui file, or a toolbar programmatically created with that name.

Parameters:

  | The | action's parent object.

__init__ | ( | self, |
|  | KToolBar | toolBar,
|  | QString | text,
|  | QObject | parent
| ) |  |  |

Create a KToggleToolbarAction that manages the

Parameters:

  | toolBar. | This can be either the name of a toolbar in an xml ui file, or a toolbar programmatically created with that name.
  | toolBar | the toolbar to be managed
  | parent | The action's parent object.

bool eventFilter | ( | self, |
|  | QObject | watched,
|  | QEvent | event
| ) |  |  |

Reimplemented from

See also:
  QObject.

KToolBar toolBar | ( |  | self ) |

Returns a pointer to the tool bar it manages.